## sqlobject 3.1.0+dfsg

=== requirements.txt ===
--install-option="--compile --optimize"

FormEncode >= 1.1.1, != 1.3.0; python_version >= '2.6' and python_version < '3.0'
FormEncode >= 1.3.1; python_version >= '3.4'
PyDispatcher >= 2.0.4

## sqlobject 0.12.4

=== debian/changelog ===
sqlobject (0.12.4-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "autocommit issue with psycopg2":
    new patch psycopg2-autocommit from upstream.
    (Closes: #633843)

 -- gregor herrmann <gregoa@debian.org>  Sat, 14 Jan 2012 15:11:56 +0100

sqlobject (0.12.4-2) unstable; urgency=low

  * Remove dh_auto ovverrides to ensure setup.py is used to build the package.
    Otherwise egg-info won't be generated.
  * Remove debian/install, not necessary anymore now. 
  * Require debhelper 7.3.5.
  * Add a patch to get rid of useless setuptools requirements.

 -- Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>  Sat, 10 Jul 2010 22:37:07 +0200

sqlobject (0.12.4-1) unstable; urgency=low

  * New upstream version
  * Added preinst script to get rid of pycentral
  * Removed outdated debian/examples file
  * Added debian/install to copy sqlobject directory and sqlobject-admin
    script
  * Added debian/sqlobject-admin.1
  * Added debian/manpages
  * debian/control
    - switched from python-central to python-support in Build-Depends
    - bump debhelper to 7.0.50~ in Build-Depends
    - switched Maintainer from QA to DPMT
    - added Uploaders field and put it to Carl Chenet <chaica@ohmytux.com>
  * debian/source/format
    - bump to 3.0 (quilt)
  * debian/rules
    - switched to a rules.tiny file
  * debian/watch
    - updated the regex

 -- Carl Chenet <chaica@ohmytux.com>  Thu, 03 Jun 2010 01:21:25 +0200

sqlobject (0.12.2-1) unstable; urgency=low

  * QA (group) upload to orphan the package
    According to bug #575365 Fabio has orphaned the package which is not
    reflected by the maintainer field in debian/control.  So it is set
    to Debian QA Group with this upload.
  * New upstream release
    Closes: #575365
  * Standards-Version: 3.8.4 (no changes needed)
  * Fixed Vcs-Svn URL
  * debian/compat: 7
  * debian/control:
    - ${misc:Depends}
    - Debhelper 7
  * debian/rules: s/dh_clean -k/dh_prep/

 -- Andreas Tille <tille@debian.org>  Thu, 25 Mar 2010 14:52:34 +0100

sqlobject (0.11.0-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * debian/rules: pass --install-layout=deb to setup.py and avoid relying
    on site-packages dir naming (Closes: #547878)
  * debian/control: bump build dep on python to 2.5.4 (we need python.mk)

 -- Stefano Zacchiroli <zack@debian.org>  Sun, 11 Oct 2009 22:56:26 +0200

sqlobject (0.11.0-1) unstable; urgency=low

  * New upstream release.
  * Standards-Version: 3.8.3, no changed required.

 -- Fabio Tranchitella <kobold@debian.org>  Fri, 28 Aug 2009 11:19:28 +0200

sqlobject (0.10.6-1) unstable; urgency=low

  * New upstream release.

 -- Fabio Tranchitella <kobold@debian.org>  Thu, 04 Jun 2009 13:32:01 +0200

sqlobject (0.10.4-1) unstable; urgency=low

  * New upstream release.

 -- Fabio Tranchitella <kobold@debian.org>  Fri, 27 Feb 2009 18:44:54 +0100

sqlobject (0.10.2-3) unstable; urgency=low

  [ Sandro Tosi ]
  * debian/control
    - switch Vcs-Browser field to viewsvn

  [ Fabio Tranchitella ]
  * debian/rules:
    - applied patch from Adeodato Simó (Refs: #489500);
    - fixed a dangling link (Closes: #506231)

 -- Fabio Tranchitella <kobold@debian.org>  Sun, 18 Jan 2009 23:20:03 +0100

sqlobject (0.10.2-2) unstable; urgency=low

  [ Carlos Galisteo ]
  * debian/control:
    - Added Homepage field.

  [ Fabio Tranchitella ]
  * debian/rules: get rid of a wrong python2.4 dependency fixing the
    interpreter for sqlobject-admin. (Closes: #489500)

 -- Fabio Tranchitella <kobold@debian.org>  Sun, 27 Jul 2008 19:41:53 +0200

sqlobject (0.10.2-1) unstable; urgency=low

  * New upstream release.

 -- Fabio Tranchitella <kobold@debian.org>  Sat, 31 May 2008 09:08:06 +0200

sqlobject (0.10.1-1) unstable; urgency=low

  * New upstream release.

 -- Fabio Tranchitella <kobold@debian.org>  Mon, 05 May 2008 09:50:21 +0200

sqlobject (0.10.0-1) unstable; urgency=low

  * New upstream release.

 -- Fabio Tranchitella <kobold@debian.org>  Wed, 12 Mar 2008 12:09:23 +0100

sqlobject (0.9.5-1) unstable; urgency=low

  * New upstream release.

 -- Fabio Tranchitella <kobold@debian.org>  Tue, 11 Mar 2008 10:01:42 +0100

sqlobject (0.9.4-1) unstable; urgency=low

  * New upstream release.
  * debian/control: depends on python-pkg-resources instead of
    python-setuptools in the binary package. (Closes: #468709)

 -- Fabio Tranchitella <kobold@debian.org>  Tue, 04 Mar 2008 09:54:31 +0100

sqlobject (0.9.3-1) unstable; urgency=low

  [ Sandro Tosi ]
  * debian/control
    - uniforming Vcs-Browser field

  [ Fabio Tranchitella ]
  * New upstream release.

 -- Fabio Tranchitella <kobold@debian.org>  Fri, 11 Jan 2008 10:16:16 +0100

sqlobject (0.9.2-1) unstable; urgency=low

  [ Piotr Ożarowski ]
  * XS-Vcs-Svn field renamed to Vcs-Svn
  * Vcs-Browser field added

  [ Fabio Tranchitella ]
  * New upstream release.

 -- Fabio Tranchitella <kobold@debian.org>  Fri, 02 Nov 2007 22:39:18 +0100

sqlobject (0.9.1-1) unstable; urgency=low

  * New upstream release.

 -- Fabio Tranchitella <kobold@debian.org>  Sat, 04 Aug 2007 17:42:11 +0200

sqlobject (0.9.0-1) unstable; urgency=low

  * New upstream release.
  * debian/rules: symlink of sqlobject-admin to /usr/bin/sqlobject-admin.
    (Closes: #424028)

 -- Fabio Tranchitella <kobold@debian.org>  Sat, 09 Jun 2007 23:23:06 +0200

sqlobject (0.8.2-1) unstable; urgency=low

  * New upstream release.

 -- Fabio Tranchitella <kobold@debian.org>  Thu, 12 Apr 2007 10:23:58 +0200

sqlobject (0.8.1-1) unstable; urgency=low

  * New upstream release.

 -- Fabio Tranchitella <kobold@debian.org>  Thu, 22 Mar 2007 11:27:45 +0100

sqlobject (0.8.0-1) unstable; urgency=low

  * New upstream release
  * debian/watch: added.

 -- Fabio Tranchitella <kobold@debian.org>  Wed, 21 Feb 2007 09:49:27 +0100

sqlobject (0.7.2-1) unstable; urgency=low

  [ Piotr Ozarowski ]
  * Added XS-Vcs-Svn field.

  [ Fabio Tranchitella ]
  * New upstream release.



=== debian/control ===
Source: sqlobject
Section: python
Priority: optional
Build-Depends: debhelper (>= 7.3.5), python-all (>= 2.5.4), quilt
Build-Depends-Indep: python-support
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Carl Chenet <chaica@ohmytux.com>
Standards-Version: 3.8.4
XS-Python-Version: all
Vcs-Svn: svn://svn.debian.org/python-modules/packages/sqlobject/trunk/
Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/sqlobject/trunk/
Homepage: http://www.sqlobject.org

Package: python-sqlobject
Architecture: all
Depends: ${python:Depends}, python-pkg-resources (>=0.6c8), python-formencode, ${misc:Depends}
Suggests: python-mysqldb, python-sqlite, python-psycopg2, python-kinterbasdb, python-maxdb
XB-Python-Version: ${python:Versions}
Description: object relational manager providing an object interface to your database
 SQLObject is an object-relational mapper. It allows you to translate RDBMS
 table rows into Python objects, and manipulate those objects to transparently
 manipulate the database.
 .
 In using SQLObject, you will create a class definition that will describe how
 the object connects to the database (in addition to any other methods you may
 wish to add to the class). SQLObject will produce the code to access the
 database, and update the database with your changes. The interface to the
 database is meant to be indistinguishable from other interfaces you may add
 to the object.
 .
 SQLObject also includes a novel feature to generate WHERE clauses using
 Python syntax and objects (instead of generating SQL using string
 substitution, as is traditional).

=== debian/rules ===
#!/usr/bin/make -f

export DH_ALWAYS_EXCLUDE=tests:examples:presentation-2004-11:europython

%:
	dh $@

override_dh_installdocs:
	dh_installdocs
	mv -f debian/python-sqlobject/usr/share/doc/python-sqlobject/docs/* \
debian/python-sqlobject/usr/share/doc/python-sqlobject/	
	rmdir debian/python-sqlobject/usr/share/doc/python-sqlobject/docs/

=== debian/watch ===
version=3
http://cheeseshop.python.org/packages/source/S/SQLObject/SQLObject-(.*)\.tar\.gz

## sqlobject 1.5.0

=== debian/changelog ===
sqlobject (1.5.0-1) unstable; urgency=low

  * Update to current upstream.
  * Use pybuild to build the package.
  * Simplify how we handle docs in debian/rules.
    - Update DH_ALWAYS_EXCLUDE in rules.
  * Build and include the html version of the documentation.
    - Add change_doc_build_script patch to make html build use
      python-docutils' version of rst2html
    - Add python-docutils as build dependency.
    - add html docs to debian/clean.
  * Reformat copyright to the machine-readable format.
    - update some stale information.
    - Add LGPL version to the manpages.
  * Run tests (against sqlite memory database) during the build.
    - Add python-pytest as build dependency.
    - Add remove_pkg_resources to remove pkg_resources dependency when running
      tests.
  * Add workaround for incorrectly rewritten shebang bug.

 -- Neil Muller <drnlmuller+debian@gmail.com>  Sun, 06 Oct 2013 17:36:32 +0200

sqlobject (1.4.1-1) unstable; urgency=low

  * Update to current upstream.
  * Drop no longer relevant patches (PYTHONPATH fix, postgresql escaping and
    pyscopg-autocommit) as these are included upstream.
  * Update setuptools patch to current upstream.
  * Replace python-support with dh_python2.
  * Add manpage for sqlobject-convertOldURI helper.
  * Add NEWS.Debian file describing the major changes between 0.12 and 1.4.

 -- Neil Muller <drnlmuller+debian@gmail.com>  Sun, 22 Sep 2013 13:02:03 +0200

sqlobject (0.12.4-3) unstable; urgency=low

  * Acknowledge NMUs (Closes: #695233, #633843)
  * Use canonical URIs for Vcs-* fields (fix by Jakub Wilk)
  * Apply patch from upstream for insecure use of PYTHONPATH (Closes: #605183)
  * Add myself to the Uploaders
  * debian/copyright
    - Replaced (C) with © in the copyright mention (Fix by Carl Chenet)
  * debian/watch
    - Changed the regex to skip beta version in the remote repository
      (Fix by Carl Chenet)
    - Use https url for cheeseshop (fix from Stefano Rivera)
  * Update Build-Depends
    - Remove obsolete quilt dependancy (unneeded with source 3.0)
    - Update debhelper dependancy
  * Bump standards version to 3.9.4 (no further changes needed)

 -- Neil Muller <drnlmuller+debian@gmail.com>  Sun, 07 Jul 2013 15:59:05 +0200

sqlobject (0.12.4-2.2) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "SQLObject doesn't escape strings correctly for postgresql 9.1":
    new patch postgres_escape_0.12.4 backported from upstream (1.2.0).
    (Closes: #695233)

 -- Neil Muller <drnlmuller+debian@gmail.com>  Mon, 11 Feb 2013 13:03:04 +0200

=== debian/control ===
Source: sqlobject
Section: python
Priority: optional
Build-Depends: debhelper (>= 8.1),
               dh-python,
               python-all (>= 2.7.3-4),
               python-docutils,
               python-formencode,
               python-pytest
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Neil Muller <drnlmuller+debian@gmail.com>
Standards-Version: 3.9.4
X-Python-Version: >= 2.4
Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/sqlobject/trunk/
Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/sqlobject/trunk/
Homepage: http://www.sqlobject.org

Package: python-sqlobject
Architecture: all
Depends: python-formencode,
         python-pkg-resources (>=0.6c8),
         ${misc:Depends},
         ${python:Depends}
Suggests: python-kinterbasdb,
          python-maxdb,
          python-mysqldb,
          python-psycopg2,
          python-sqlite
Description: object relational manager providing an object interface to your database
 SQLObject is an object-relational mapper. It allows you to translate RDBMS
 table rows into Python objects, and manipulate those objects to transparently
 manipulate the database.
 .
 In using SQLObject, you will create a class definition that will describe how
 the object connects to the database (in addition to any other methods you may
 wish to add to the class). SQLObject will produce the code to access the
 database, and update the database with your changes. The interface to the
 database is meant to be indistinguishable from other interfaces you may add
 to the object.
 .
 SQLObject also includes a novel feature to generate WHERE clauses using
 Python syntax and objects (instead of generating SQL using string
 substitution, as is traditional).

## sqlobject 1.5.2

=== debian/changelog ===
sqlobject (1.5.2-1) unstable; urgency=low

  * Update to latest upstream release.
    - Adapt duplicate error message strings for SQLite 3.8
      (closes: #735815, LP: #1283192).
  * Standards-Version: 3.9.5 (no changes needed).
  * Add replace_sf_logo patch to replace the sourceforge logo with a text link
    to the sourceforge page to solve lintian's "privacy-breach-logo" error.
  * Add descriptions to all the patches.
  * Register HTML documentation in doc-base.

 -- Neil Muller <drnlmuller+debian@gmail.com>  Sun, 13 Apr 2014 22:36:42 +0200

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                python-pytest
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Neil Muller <drnlmuller+debian@gmail.com>
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 X-Python-Version: >= 2.4
 Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/sqlobject/trunk/
 Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/sqlobject/trunk/

=== debian/rules ===
#!/usr/bin/make -f

export DH_ALWAYS_EXCLUDE=tests:dbs_data.tmp
export PYBUILD_TEST_PYTEST=1
export PYBUILD_TEST_ARGS="{dir}"

%:
	dh $@ --with python2 --buildsystem=pybuild

override_dh_installdocs:
	docs/rebuild
	dh_installdocs

override_dh_python2:
	dh_python2 --shebang=/usr/bin/python

=== debian/watch ===
version=3
https://cheeseshop.python.org/packages/source/S/SQLObject/SQLObject-([\d\.]*)\.tar\.gz

## sqlobject 1.6.0

=== debian/changelog ===
sqlobject (1.6.0-1) unstable; urgency=low

  * Update to latest upstream release.
    - Drop support for python 2.4
  * Add pgpsigurlmangle hint to debian/watch.
    - Also add upstream signing key.
  * Make upstream News.txt available as changelog to match policy.
  * Add basic example from upstream docs.

 -- Neil Muller <drnlmuller+debian@gmail.com>  Sat, 21 Jun 2014 20:59:34 +0200

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Neil Muller <drnlmuller+debian@gmail.com>
 Standards-Version: 3.9.5
-X-Python-Version: >= 2.4
+X-Python-Version: >= 2.5
 Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/sqlobject/trunk/
 Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/sqlobject/trunk/
 Homepage: http://www.sqlobject.org

=== debian/rules ===
--- 
+++ 
@@ -11,5 +11,8 @@
 	docs/rebuild
 	dh_installdocs
 
+override_dh_installchangelogs:
+	dh_installchangelogs -k docs/News.txt
+
 override_dh_python2:
 	dh_python2 --shebang=/usr/bin/python

=== debian/watch ===
version=3
opts="pgpsigurlmangle=s/$/.asc/" https://cheeseshop.python.org/packages/source/S/SQLObject/SQLObject-([\d\.]*)\.tar\.gz

## sqlobject 2.1.2

=== debian/changelog ===
sqlobject (2.1.2-1) unstable; urgency=low

  * Update to latest upstream release.
    - Drop support for Python 2.5.
  * Update packaging to handle changes to how upstream packages the
    documentation.
  * Change suggests from python-kinterbasdb to python-fdb, since upsteam
    now uses that.
  * Update NEWS.Debian to describe SQLObject 2's microsecond support.
  * Update copyright years.
  * Change watch file to check pypi.debian.net.
  * Standards-Version: 3.9.6 (no changes needed).

 -- Neil Muller <drnlmuller+debian@gmail.com>  Fri, 30 Oct 2015 20:22:51 +0200

=== debian/control ===
--- 
+++ 
@@ -9,10 +9,10 @@
                python-pytest
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Neil Muller <drnlmuller+debian@gmail.com>
-Standards-Version: 3.9.5
-X-Python-Version: >= 2.5
-Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/sqlobject/trunk/
-Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/sqlobject/trunk/
+Standards-Version: 3.9.6
+X-Python-Version: >= 2.6
+Vcs-Git: git://anonscm.debian.org/python-modules/packages/sqlobject.git
+Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/sqlobject.git
 Homepage: http://www.sqlobject.org
 
 Package: python-sqlobject
@@ -21,7 +21,7 @@
          python-pkg-resources (>=0.6c8),
          ${misc:Depends},
          ${python:Depends}
-Suggests: python-kinterbasdb,
+Suggests: python-fdb,
           python-maxdb,
           python-mysqldb,
           python-psycopg2,

=== debian/rules ===
--- 
+++ 
@@ -1,11 +1,20 @@
 #!/usr/bin/make -f
 
-export DH_ALWAYS_EXCLUDE=tests:dbs_data.tmp
+export DH_ALWAYS_EXCLUDE=tests:dbs_data.tmp:versioning/test
 export PYBUILD_TEST_PYTEST=1
 export PYBUILD_TEST_ARGS="{dir}"
 
 %:
 	dh $@ --with python2 --buildsystem=pybuild
+
+override_dh_clean:
+	# Forcibly remove all traces of the upstream module docs build, since
+	# we rebuild what we can, and the rest relies on pudge, which
+	# is an obselete, abandoned project.
+	# SQLObject upstream is switching to sphinx, so revisit this once
+	# that's happened.
+	rm -rf docs/html/
+	dh_clean
 
 override_dh_installdocs:
 	docs/rebuild

=== debian/watch ===
version=3
opts="pgpsigurlmangle=s/$/.asc/" https://pypi.debian.net/SQLObject/SQLObject-([\d\.]*)\.tar\.gz

## sqlobject 2.2.1

=== debian/changelog ===
sqlobject (2.2.1-1) unstable; urgency=low

  * Fixed VCS URL (https) (Thanks to Ondřej Nový)
  * Fixed spelling error in previous entry: "upsteam" instead of "upstream"
  * Updated to latest upstream release.
  * Standards-Version: 3.9.8 (no changes needed).

 -- Neil Muller <drnlmuller+debian@gmail.com>  Sat, 14 May 2016 15:51:46 +0200

=== debian/control ===
--- 
+++ 
@@ -9,9 +9,9 @@
                python-pytest
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Neil Muller <drnlmuller+debian@gmail.com>
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 X-Python-Version: >= 2.6
-Vcs-Git: git://anonscm.debian.org/python-modules/packages/sqlobject.git
+Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/sqlobject.git
 Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/sqlobject.git
 Homepage: http://www.sqlobject.org

## sqlobject 3.0.0+dfsg

=== debian/changelog ===
sqlobject (3.0.0+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Added breaks+replaces of older python-sqlobject version (Closes: #831221)

 -- Ondřej Nový <onovy@debian.org>  Thu, 21 Jul 2016 21:27:34 +0200

sqlobject (3.0.0+dfsg-1) unstable; urgency=low

  [ Neil Muller ]
  * Updated to latest upstream release.
    - Added new pydispatcher dependency.
  * Remove docs/presentation-2004-11/ui files from upstream tarball
    due to non dfsg license (CC-BY-SA 2.0).
  * Document copyright of the compat.py helper used for python 3
    support.
  * Added python3-sqlobject package.
  * Move helper applications into to sqlobject-admin package.
  * Moved documentation to python-sqlobject-doc package.
  * Drop obsolete python-maxdb suggests.
  * Drop obsolete pycentral cleanup script.
  * Bump debhelper compatibility level to 9.
  * Add python-pymssql and python-adodb to Suggests for MS SQL.
  * Add NEWS.Debian entry describing changes to the package layout.

  [ Ondřej Nový ]
  * Added autopkgtest-pkg-python testsuite

 -- Neil Muller <drnlmuller+debian@gmail.com>  Sun, 03 Jul 2016 23:32:21 +0200

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 export PYBUILD_TEST_ARGS="{dir}"
 
 %:
-	dh $@ --with python2 --buildsystem=pybuild
+	dh $@ --with python2,python3 --buildsystem=pybuild
 
 override_dh_clean:
 	# Forcibly remove all traces of the upstream module docs build, since
@@ -22,6 +22,3 @@
 
 override_dh_installchangelogs:
 	dh_installchangelogs -k docs/News.txt
-
-override_dh_python2:
-	dh_python2 --shebang=/usr/bin/python

## sqlobject 3.1.0+dfsg

=== debian/changelog ===
sqlobject (3.1.0+dfsg-2) unstable; urgency=low

  * Fix build failure with sqlite 3.15: new patch fix_sqlite_vacuum_cmd
    backported from upstream. (Closes: #841596)

 -- Neil Muller <drnlmuller+debian@gmail.com>  Wed, 02 Nov 2016 18:32:58 +0200

sqlobject (3.1.0+dfsg-1) unstable; urgency=low

  * Updated to latest upstream release.
     - Tweak test suite to work with pytest 3.0 (Closes: #835250)
     - Adds JSONCol, a universal json column.
     - Rename reStructuredText files from \*.txt to \*.rst.
  * Update patches and build rules to handle changed documentation layout.
  * Rename replace_sf_logo patch to replace_logos.
  * Extend replace_logos to remove the newly added logos.
  * Fold 0006-Remove-travis-ci-image-link-due-to-privacy-concerns.patch into
    replace_logos, for consistency.

 -- Neil Muller <drnlmuller+debian@gmail.com>  Sat, 03 Sep 2016 09:01:56 +0200

=== debian/control ===
Source: sqlobject
Section: python
Priority: optional
Build-Depends: debhelper (>= 9),
               dh-python,
               python-all,
               python-formencode,
               python-pydispatch,
               python3-all,
               python3-formencode,
               python3-pydispatch,
# Documentation
               python-docutils,
# Used in the test suite
               python-pytest,
               python3-pytest
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Neil Muller <drnlmuller+debian@gmail.com>
Standards-Version: 3.9.8
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.4
Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/sqlobject.git
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/sqlobject.git
Homepage: http://www.sqlobject.org
Testsuite: autopkgtest-pkg-python

Package: python-sqlobject
Architecture: all
Depends: python-formencode,
         python-pydispatch,
         python-pkg-resources,
         ${misc:Depends},
         ${python:Depends}
Recommends: sqlobject-admin (= ${source:Version})
Suggests: python-fdb,
          python-mysqldb,
          python-psycopg2,
          python-sqlite,
          python-adodb,
          python-pymssql,
          python-sqlobject-doc
Description: Python 2 object relational manager providing an object interface to databases
 SQLObject is an object-relational mapper. It allows you to translate RDBMS
 table rows into Python objects, and manipulate those objects to transparently
 manipulate the database.
 .
 In using SQLObject, you will create a class definition that will describe how
 the object connects to the database (in addition to any other methods you may
 wish to add to the class). SQLObject will produce the code to access the
 database, and update the database with your changes. The interface to the
 database is meant to be indistinguishable from other interfaces you may add
 to the object.
 .
 SQLObject also includes a novel feature to generate WHERE clauses using
 Python syntax and objects (instead of generating SQL using string
 substitution, as is traditional).
 .
 This is the Python 2 version of SQLObject.

Package: python3-sqlobject
Architecture: all
Depends: python3-formencode,
         python3-pydispatch,
         python3-pkg-resources,
         ${misc:Depends},
         ${python3:Depends}
Recommends: sqlobject-admin (= ${source:Version})
Suggests: python3-mysqldb,
          python3-psycopg2,
          python-sqlobject-doc
Description: Python 3 object relational manager providing an object interface to databases
 SQLObject is an object-relational mapper. It allows you to translate RDBMS
 table rows into Python objects, and manipulate those objects to transparently
 manipulate the database.
 .
 In using SQLObject, you will create a class definition that will describe how
 the object connects to the database (in addition to any other methods you may
 wish to add to the class). SQLObject will produce the code to access the
 database, and update the database with your changes. The interface to the
 database is meant to be indistinguishable from other interfaces you may add
 to the object.
 .
 SQLObject also includes a novel feature to generate WHERE clauses using
 Python syntax and objects (instead of generating SQL using string
 substitution, as is traditional).
 .
 This is the Python 3 version of SQLObject.

Package: python-sqlobject-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Breaks: python-sqlobject (<< 3.0.0+dfsg-1)
Replaces: python-sqlobject (<< 3.0.0+dfsg-1)
Description: Documentation for SQLObject, a Python object relational manager for databases
 This is the documentation for SQLObject. SQLObject is an object-relational
 mapper. It allows you to translate RDBMS table rows into Python objects, and
 manipulate those objects to transparently manipulate the database.
 .
 In using SQLObject, you will create a class definition that will describe how
 the object connects to the database (in addition to any other methods you may
 wish to add to the class). SQLObject will produce the code to access the
 database, and update the database with your changes. The interface to the
 database is meant to be indistinguishable from other interfaces you may add
 to the object.
 .
 SQLObject also includes a novel feature to generate WHERE clauses using
 Python syntax and objects (instead of generating SQL using string
 substitution, as is traditional).
 .
 The documentation covers both the Python 2 and Python 3 versions of
 SQLObject.

Package: sqlobject-admin
Architecture: all
Depends: python3-sqlobject (= ${source:Version}),
         ${misc:Depends},
         ${python3:Depends}
Breaks: python-sqlobject (<< 3.0.0+dfsg-1)
Replaces: python-sqlobject (<< 3.0.0+dfsg-1)
Description: Helper applications for SQLObject, a Python ORM for databases
 SQLObject is an object-relational mapper. It allows you to translate RDBMS
 table rows into Python objects, and manipulate those objects to transparently
 manipulate the database.
 .
 In using SQLObject, you will create a class definition that will describe how
 the object connects to the database (in addition to any other methods you may
 wish to add to the class). SQLObject will produce the code to access the
 database, and update the database with your changes. The interface to the
 database is meant to be indistinguishable from other interfaces you may add
 to the object.
 .
 SQLObject also includes a novel feature to generate WHERE clauses using
 Python syntax and objects (instead of generating SQL using string
 substitution, as is traditional).
 .
 This package includes the sqlobject-admin and sqlobject-convertOldURI helper
 applications for use with SQLObject.

=== debian/rules ===
--- 
+++ 
@@ -11,8 +11,10 @@
 	# Forcibly remove all traces of the upstream module docs build, since
 	# we rebuild what we can, and the rest relies on pudge, which
 	# is an obselete, abandoned project.
-	# SQLObject upstream is switching to sphinx, so revisit this once
-	# that's happened.
+	# We override dh_clean to do this, since we're removing several
+	# directories in this step.
+	# SQLObject upstream is switching to sphinx in 3.2.0, so revisit
+	# this once that's happened.
 	rm -rf docs/html/
 	dh_clean
 
@@ -21,4 +23,4 @@
 	dh_installdocs
 
 override_dh_installchangelogs:
-	dh_installchangelogs -k docs/News.txt
+	dh_installchangelogs -k docs/News.rst

=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.asc/,repacksuffix=+dfsg,dversionmangle=s/\+dfsg\d*$// \
     https://pypi.debian.net/SQLObject/SQLObject-([\d\.]*)\.tar\.gz

## sqlobject 3.4.0+dfsg

=== debian/changelog ===
sqlobject (3.4.0+dfsg-1) unstable; urgency=low

  * Update to the latest upstream release.
     - Adds support for python 3.6 (Closes: #867899)
     - Documentation is now built using sphinx.
     - Fix pytest warnings by renaming the helper classes.
  * Drop obsolete fix_sqlite_vacuum_cmd patch.
  * Update package to use sphinx to build the html documentation.
  * Drop obsolete change_doc_build_script patch.
  * Remove the dh_clean override from debian/rules, since it's no longer
    needed with the new documentation build system.
  * Drop debian/clean for the same reason.
  * Standards-Version: 4.0.0 (no changes needed).

 -- Neil Muller <drnlmuller+debian@gmail.com>  Sun, 06 Aug 2017 18:31:32 +0200

=== debian/control ===
--- 
+++ 
@@ -10,13 +10,13 @@
                python3-formencode,
                python3-pydispatch,
 # Documentation
-               python-docutils,
+               python3-sphinx,
 # Used in the test suite
                python-pytest,
                python3-pytest
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Neil Muller <drnlmuller+debian@gmail.com>
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.4
 Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/sqlobject.git
@@ -89,7 +89,8 @@
 Package: python-sqlobject-doc
 Section: doc
 Architecture: all
-Depends: ${misc:Depends}
+Depends: ${misc:Depends},
+         ${sphinxdoc:Depends}
 Breaks: python-sqlobject (<< 3.0.0+dfsg-1)
 Replaces: python-sqlobject (<< 3.0.0+dfsg-1)
 Description: Documentation for SQLObject, a Python object relational manager for databases

=== debian/rules ===
#!/usr/bin/make -f

export DH_ALWAYS_EXCLUDE=tests:dbs_data.tmp:versioning/test
export PYBUILD_TEST_PYTEST=1
export PYBUILD_TEST_ARGS="{dir}"

%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild

override_dh_sphinxdoc:
	sphinx-build -b html -d debian/tmp/doctrees docs \
		debian/python-sqlobject-doc/usr/share/doc/python-sqlobject-doc/html
	# This directory only has documentation for the test case, which we don't package
	rm -rf debian/python-sqlobject-doc/usr/share/doc/python-sqlobject-doc/html/versioning
	dh_sphinxdoc

override_dh_installchangelogs:
	dh_installchangelogs -k docs/News.rst

## sqlobject 3.6.0+dfsg

=== debian/changelog ===
sqlobject (3.6.0+dfsg-1) unstable; urgency=low

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org.
  * d/copyright: Use https protocol in Format field.
  * d/changelog: Remove trailing whitespaces.

  [ Neil Muller ]
  * Refresh patches after git-dpm to gbp pq conversion.
  * Drop signing key, since the signature is no longer published by pypi.
  * Update to the latest upstream release.
  * Drop no longer needed X-Python-Version and  X-Python3-Version fields.
  * Standards-Version: 4.1.4 (no changes needed).

 -- Neil Muller <drnlmuller+debian@gmail.com>  Sun, 13 May 2018 12:21:44 +0200

=== debian/control ===
--- 
+++ 
@@ -16,11 +16,9 @@
                python3-pytest
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Neil Muller <drnlmuller+debian@gmail.com>
-Standards-Version: 4.0.0
-X-Python-Version: >= 2.6
-X-Python3-Version: >= 3.4
-Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/sqlobject.git
-Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/sqlobject.git
+Standards-Version: 4.1.4
+Vcs-Git: https://salsa.debian.org/python-team/modules/sqlobject.git
+Vcs-Browser: https://salsa.debian.org/python-team/modules/sqlobject
 Homepage: http://www.sqlobject.org
 Testsuite: autopkgtest-pkg-python

=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,7 @@
 	sphinx-build -b html -d debian/tmp/doctrees docs \
 		debian/python-sqlobject-doc/usr/share/doc/python-sqlobject-doc/html
 	# This directory only has documentation for the test case, which we don't package
-	rm -rf debian/python-sqlobject-doc/usr/share/doc/python-sqlobject-doc/html/versioning
+	rm -rf debian/python-sqlobject-doc/usr/share/doc/python-sqlobject-doc/html/_modules/sqlobject/versioning
 	dh_sphinxdoc
 
 override_dh_installchangelogs:

## sqlobject 3.7.0%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,16 @@
 Source: sqlobject
 Section: python
 Priority: optional
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 11),
                dh-python,
                python-all,
                python-formencode,
                python-pydispatch,
+               python-setuptools,
                python3-all,
                python3-formencode,
                python3-pydispatch,
+               python3-setuptools,
 # Documentation
                python3-sphinx,
 # Used in the test suite
@@ -16,11 +18,10 @@
                python3-pytest
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Neil Muller <drnlmuller+debian@gmail.com>
-Standards-Version: 4.1.4
+Standards-Version: 4.3.0
 Vcs-Git: https://salsa.debian.org/python-team/modules/sqlobject.git
 Vcs-Browser: https://salsa.debian.org/python-team/modules/sqlobject
 Homepage: http://www.sqlobject.org
-Testsuite: autopkgtest-pkg-python
 
 Package: python-sqlobject
 Architecture: all
@@ -112,6 +113,7 @@
 
 Package: sqlobject-admin
 Architecture: all
+Section: utils
 Depends: python3-sqlobject (= ${source:Version}),
          ${misc:Depends},
          ${python3:Depends}

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,7 @@
 	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild
 
 override_dh_sphinxdoc:
-	sphinx-build -b html -d debian/tmp/doctrees docs \
+	python3 -m sphinx -b html -d debian/tmp/doctrees docs \
 		debian/python-sqlobject-doc/usr/share/doc/python-sqlobject-doc/html
 	# This directory only has documentation for the test case, which we don't package
 	rm -rf debian/python-sqlobject-doc/usr/share/doc/python-sqlobject-doc/html/_modules/sqlobject/versioning

## sqlobject 3.7.0+dfsg

=== debian/changelog ===
sqlobject (3.7.0+dfsg-2) unstable; urgency=low

  * Change section for sqlobject-admin script to utils (lintian warning).
  * Add patch to work around overly tight formencode requirement in the
    setuptools files. (Closes: #918683)
  * Update Standards-Version to 4.3.0 (no changes needed).
  * Add more autopkgtests.

 -- Neil Muller <drnlmuller+debian@gmail.com>  Mon, 07 Jan 2019 18:06:32 +0200

sqlobject (3.7.0+dfsg-1) unstable; urgency=low

  [Ondřej Nový ]
  * Use 'python3 -m sphinx' instead of sphinx-build for building docs

  [ Neil Muller ]
  * Update to the latest upstream release.
    * Drop no longer required get_rid_of_setuptools patch.
  * Bump debhelper compat level to 11.
  * Standards-Version: 4.2.1 (no further changes needed).

 -- Neil Muller <drnlmuller+debian@gmail.com>  Sat, 13 Oct 2018 14:06:32 +0200

=== debian/tests/control ===
Tests: testdb
Depends: python-sqlobject, python3-sqlobject

Tests: testdb-setuptools
Depends: python-sqlobject, python-setuptools, python3-sqlobject, python3-setuptools

## sqlobject 3.7.3+dfsg

=== debian/changelog ===
sqlobject (3.7.3+dfsg-1) unstable; urgency=low

  [Ondřej Nový]
  * Use debhelper-compat instead of debian/compat.
  * Bump Standards-Version to 4.4.1.

  [Neil Muller]
  * Package latest upstream release.
  * Drop python2 python-sqlobject package (Closes: #938557).
  * Drop python2 autopkgtest.

 -- Neil Muller <drnlmuller+debian@gmail.com>  Thu, 21 Nov 2019 11:33:54 +0200

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,8 @@
 Source: sqlobject
 Section: python
 Priority: optional
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 11),
                dh-python,
-               python-all,
-               python-formencode,
-               python-pydispatch,
-               python-setuptools,
                python3-all,
                python3-formencode,
                python3-pydispatch,
@@ -14,47 +10,13 @@
 # Documentation
                python3-sphinx,
 # Used in the test suite
-               python-pytest,
                python3-pytest
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Neil Muller <drnlmuller+debian@gmail.com>
-Standards-Version: 4.3.0
+Standards-Version: 4.4.1
 Vcs-Git: https://salsa.debian.org/python-team/modules/sqlobject.git
 Vcs-Browser: https://salsa.debian.org/python-team/modules/sqlobject
 Homepage: http://www.sqlobject.org
-
-Package: python-sqlobject
-Architecture: all
-Depends: python-formencode,
-         python-pydispatch,
-         python-pkg-resources,
-         ${misc:Depends},
-         ${python:Depends}
-Recommends: sqlobject-admin (= ${source:Version})
-Suggests: python-fdb,
-          python-mysqldb,
-          python-psycopg2,
-          python-sqlite,
-          python-adodb,
-          python-pymssql,
-          python-sqlobject-doc
-Description: Python 2 object relational manager providing an object interface to databases
- SQLObject is an object-relational mapper. It allows you to translate RDBMS
- table rows into Python objects, and manipulate those objects to transparently
- manipulate the database.
- .
- In using SQLObject, you will create a class definition that will describe how
- the object connects to the database (in addition to any other methods you may
- wish to add to the class). SQLObject will produce the code to access the
- database, and update the database with your changes. The interface to the
- database is meant to be indistinguishable from other interfaces you may add
- to the object.
- .
- SQLObject also includes a novel feature to generate WHERE clauses using
- Python syntax and objects (instead of generating SQL using string
- substitution, as is traditional).
- .
- This is the Python 2 version of SQLObject.
 
 Package: python3-sqlobject
 Architecture: all
@@ -108,8 +70,7 @@
  Python syntax and objects (instead of generating SQL using string
  substitution, as is traditional).
  .
- The documentation covers both the Python 2 and Python 3 versions of
- SQLObject.
+ The documentation covers the Python 3 versions of SQLObject.
 
 Package: sqlobject-admin
 Architecture: all

## sqlobject 3.8.0%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: sqlobject
 Section: python
 Priority: optional
-Build-Depends: debhelper-compat (= 11),
+Build-Depends: debhelper-compat (= 12),
                dh-python,
                python3-all,
                python3-formencode,
@@ -14,6 +14,7 @@
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Neil Muller <drnlmuller+debian@gmail.com>
 Standards-Version: 4.4.1
+Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/python-team/modules/sqlobject.git
 Vcs-Browser: https://salsa.debian.org/python-team/modules/sqlobject
 Homepage: http://www.sqlobject.org
@@ -50,6 +51,7 @@
 Package: python-sqlobject-doc
 Section: doc
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends},
          ${sphinxdoc:Depends}
 Breaks: python-sqlobject (<< 3.0.0+dfsg-1)

=== debian/watch ===
version=3
opts=repacksuffix=+dfsg,dversionmangle=s/\+dfsg\d*$// \
     https://pypi.debian.net/SQLObject/SQLObject-([\d\.]*)\.tar\.gz

## sqlobject 3.8.0+dfsg

=== debian/changelog ===
sqlobject (3.8.0+dfsg-1ubuntu1) groovy; urgency=medium

  * Skip setuptools autopkgtest, fails with new setuptools.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 17 Sep 2020 16:51:04 +0100

sqlobject (3.8.0+dfsg-1) unstable; urgency=medium

  [ Emmanuel Arias ]
  * Team upload
  * New upstream version 3.8.0+dfsg

  [ Mattia Rizzolo ]
  * Set python-sqlobject-doc as Multi-Arch:foreign, from the multi-arch hinter.
  * Set Rules-Requires-Root: no.
  * Bump debhelper compat level to 12.

 -- Emmanuel Arias <eamanu@yaerobi.com>  Mon, 13 Jan 2020 15:55:19 +0100

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,8 @@
                python3-sphinx,
 # Used in the test suite
                python3-pytest
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Neil Muller <drnlmuller+debian@gmail.com>
 Standards-Version: 4.4.1
 Rules-Requires-Root: no

=== debian/tests/control ===
Tests: testdb
Depends: python3-sqlobject

## Fails with new setuptools
#Tests: testdb-setuptools
#Depends: python3-sqlobject, python3-setuptools

## sqlobject 3.9.0+dfsg

=== debian/changelog ===
sqlobject (3.9.0+dfsg-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Neil Muller ]
  * Bump to latest upstream release.
  * Update watch file version.
  * Update Standards-Version (no further changes needed).

 -- Neil Muller <drnlmuller+debian@gmail.com>  Tue, 05 Jan 2021 10:02:08 +0200

sqlobject (3.8.0+dfsg-2) unstable; urgency=low

  [ Debian Janitor ]
  * Fix day-of-week for changelog entry 0.6-1.

  [ Neil Muller ]
  * Fix autopkg test to work with latest setuptools (Closes: #969533).
  * Drop no longer relevant
    0005-Change-the-formencode-versions-to-work-with-the-debi.patch.
  * Bump Standards-Version to 4.5.0 (no further changes needed).

 -- Neil Muller <drnlmuller+debian@gmail.com>  Mon, 07 Sep 2020 20:02:08 +0200

=== debian/control ===
--- 
+++ 
@@ -11,13 +11,12 @@
                python3-sphinx,
 # Used in the test suite
                python3-pytest
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Neil Muller <drnlmuller+debian@gmail.com>
-Standards-Version: 4.4.1
+Standards-Version: 4.5.1.0
 Rules-Requires-Root: no
-Vcs-Git: https://salsa.debian.org/python-team/modules/sqlobject.git
-Vcs-Browser: https://salsa.debian.org/python-team/modules/sqlobject
+Vcs-Git: https://salsa.debian.org/python-team/packages/sqlobject.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/sqlobject
 Homepage: http://www.sqlobject.org
 
 Package: python3-sqlobject

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 export PYBUILD_TEST_ARGS="{dir}"
 
 %:
-	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild
+	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
 
 override_dh_sphinxdoc:
 	python3 -m sphinx -b html -d debian/tmp/doctrees docs \

=== debian/tests/control ===
Tests: testdb
Depends: python3-sqlobject

Tests: testdb-setuptools
Depends: python3-sqlobject, python3-setuptools

=== debian/watch ===
version=4
opts=repacksuffix=+dfsg,dversionmangle=s/\+dfsg\d*$// \
     https://pypi.debian.net/SQLObject/SQLObject-([\d\.]*)\.tar\.gz

## sqlobject 3.9.1+dfsg

=== debian/changelog ===
sqlobject (3.9.1+dfsg-1) unstable; urgency=low

  [ Neil Muller ]
  * Update to latest upstream release.
  * Change autopkg test to not use setup.py install (Closes: 1002524).
  * Run autopkgtests against all installed python3 versions.
  * Update years in debian/copyright.
  * Bump standards version (no further changes needed).

  [ Jeroen Ploemen ]
  * Control: bump compat level to 13 (from 12).
  * Rules: override dh_missing to add --list-missing, same as its
    default behaviour prior to compat 13.
  * d/source/options: ignore egg-info to prevent ftbfs when building
    twice in a row.

 -- Neil Muller <drnlmuller+debian@gmail.com>  Tue, 04 Jan 2022 10:15:40 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: sqlobject
 Section: python
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-all,
                python3-formencode,
@@ -13,7 +13,7 @@
                python3-pytest
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Neil Muller <drnlmuller+debian@gmail.com>
-Standards-Version: 4.5.1.0
+Standards-Version: 4.6.0.1
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/python-team/packages/sqlobject.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/sqlobject

=== debian/rules ===
--- 
+++ 
@@ -16,3 +16,6 @@
 
 override_dh_installchangelogs:
 	dh_installchangelogs -k docs/News.rst
+
+override_dh_missing:
+	dh_missing --list-missing

=== debian/tests/control ===
Tests: testdb
Depends: python3-sqlobject, python3-all

Tests: testdb-setuptools
Depends: python3-sqlobject, python3-setuptools, python3-pip, python3-all

## sqlobject 3.10.0+dfsg

=== debian/changelog ===
sqlobject (3.10.0+dfsg-1) unstable; urgency=low

  * New upstream release.
  * Refresh remove-logos patch since travis-ci and circle-ci are no
    longer used by upstream.
  * Silence pip warning in the autotests.
  * Update Standards-Version (no further changes needed).

 -- Neil Muller <drnlmuller+debian@gmail.com>  Mon, 17 Oct 2022 20:19:05 +0000

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
                python3-pytest
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Neil Muller <drnlmuller+debian@gmail.com>
-Standards-Version: 4.6.0.1
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/python-team/packages/sqlobject.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/sqlobject

## sqlobject 3.10.1+dfsg

=== debian/changelog ===
sqlobject (3.10.1+dfsg-2) unstable; urgency=low

  * Team upload.

  [ Neil Muller ]
  * Rewrite autopkgtest to work with python 3.11's
    externally managed changes (Closes: 1031760).

  [ Stefano Rivera ]
  * Tweak the rewrite to use virtualenv, as there is no python3-all-venv
    package, yet.

 -- Stefano Rivera <stefanor@debian.org>  Fri, 24 Feb 2023 16:41:49 -0400

sqlobject (3.10.1+dfsg-1) unstable; urgency=low

  * New upstream release.
    - Updated some code using deprecated functions.
  * Update years in debian/copyright.
  * Exclude sphinx doctree cache files when running dh_missing.
  * Update Standards-Version to 4.6.2 (no further changes needed).

 -- Neil Muller <drnlmuller+debian@gmail.com>  Mon, 30 Jan 2023 19:08:45 +0000

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
                python3-pytest
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Neil Muller <drnlmuller+debian@gmail.com>
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/python-team/packages/sqlobject.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/sqlobject

=== debian/rules ===
--- 
+++ 
@@ -18,4 +18,4 @@
 	dh_installchangelogs -k docs/News.rst
 
 override_dh_missing:
-	dh_missing --list-missing
+	dh_missing --list-missing -X tmp/doctrees

=== debian/tests/control ===
Tests: testdb
Depends: python3-sqlobject, python3-all

Tests: testdb-setuptools
Depends: python3-sqlobject, python3-virtualenv, python3-all
